// MapCreatorDlg.h : header file
//

#if !defined(AFX_MAPCREATORDLG_H__262198EC_684A_403D_A924_B366E89A93A9__INCLUDED_)
#define AFX_MAPCREATORDLG_H__262198EC_684A_403D_A924_B366E89A93A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMapCreatorDlg dialog
class CGeoPanel;
class CTexturePanel;
class CWaterPanel;
class CCulturalPanel;


class CMapCreatorDlg : public CDialog
{
// Construction
public:
	void UpdateTabWin();
	bool RunTCT();
//	CString m_gamePath;
	void UpdateBuildFile();
	void CopyFiles();
	void CreateINI();
	void SplitTextures();
	void CreateDataFile();
	void CreateInstance();
	void CreateHintFile();
	CMapCreatorDlg(CWnd* pParent = NULL);	// standard constructor
	CString DestPath;

CGeoPanel *GeoPan;
CTexturePanel *TextPan;
CWaterPanel *WatPan;
CCulturalPanel *CultPan;

// Dialog Data
	//{{AFX_DATA(CMapCreatorDlg)
	enum { IDD = IDD_MAPCREATOR_DIALOG };
	CButton	m_MapNameCon;
	CTabCtrl	m_Tab;
	CString	m_MapName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMapCreatorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMapCreatorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnCreate();
	afx_msg void OnSelchangeDlgtab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeMapname();
	afx_msg void OnKillfocusMapname();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAPCREATORDLG_H__262198EC_684A_403D_A924_B366E89A93A9__INCLUDED_)
